Pools

List member SandboxPools of an Env

GET
/envs/{name}/sandboxpools

Authorization

ApiKeyAuth
AGENTBOX-API-KEY<token>

In: header

Path Parameters

name*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://envs/string/sandboxpools"
{  "items": [    {      "name": "string",      "namespace": "string",      "spec": {        "replicas": 0,        "templateName": "string",        "podCreationImagePolicy": "PoolDefaultImage",        "defaultStartupTimeout": "string",        "defaultIdleTimeout": "string"      },      "status": {        "phase": "Pending",        "idleReplicas": 0,        "unavailableIdleReplicas": 0,        "runningReplicas": 0,        "startingReplicas": 0,        "stoppingReplicas": 0,        "failedReplicas": 0,        "pendingRequests": 0,        "autoscaling": {          "lastScaleUpTime": "2019-08-24T14:15:22Z",          "lastScaleDownTime": "2019-08-24T14:15:22Z",          "idleZeroSince": "2019-08-24T14:15:22Z",          "lastScaleUpAttemptTime": "2019-08-24T14:15:22Z",          "lastScaleUpAttemptResult": "Enough",          "scaleUpErrorMessage": "string",          "observedGeneration": 0        }      },      "cpu": "string",      "memory": "string",      "team": "string",      "user": "string",      "scalingGroup": "string",      "templateVersion": "string",      "createdAt": "2019-08-24T14:15:22Z",      "owningEnv": "string"    }  ],  "total": 0,  "limit": 0,  "offset": 0}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}